#!/bin/bash

clear
echo
echo JAVA_HOME=$JAVA_HOME
echo
java -version
echo
javac -version
if [ ! -n "$JAVA_HOME" ] ; then . ./prepair-Java9.sh ; fi
if [ ! -n "$JAVA_HOME" ] ; then echo -e "\nFehler: JAVA_HOME ist nicht definiert.\n" ; exit 1 ; fi
if [ -d distribution   ] ; then rm -r distribution ; fi
if [ -d classes        ] ; then rm -r classes      ; fi
if [ -d modules        ] ; then rm -r modules      ; fi
mkdir modules
echo
echo ---------------------------------------------------------------------
echo
javac -d classes -modulesourcepath src $(find src -name "*.java")
jar --create --file modules/de.meinefirma.meineapp-1.0.jar --module-version 1.0 --main-class de.meinefirma.meineapp.MeineApp -C classes/de.meinefirma.meineapp .
jar --create --file modules/de.meinefirma.meinutil-1.0.jar --module-version 1.0 -C classes/de.meinefirma.meinutil .
java -p modules -m de.meinefirma.meineapp
echo
echo ---------------------------------------------------------------------
echo
jlink --module-path "$JAVA_HOME/jmods:modules" --add-modules de.meinefirma.meineapp --output distribution --exclude-files *.diz --strip-debug --compress=2
distribution/bin/java -m de.meinefirma.meineapp
echo
echo ---------------------------------------------------------------------
