#!/bin/bash

clear
if [ ! -n "$JAVA_HOME" ] ; then . ./prepair-Java9.sh ; fi
if [ ! -n "$JAVA_HOME" ] ; then echo -e "\nFehler: JAVA_HOME ist nicht definiert.\n" ; exit 1 ; fi
echo
echo JAVA_HOME=$JAVA_HOME
echo
java -version
echo
javac -version
echo
if [ -d classes ] ; then rm -r classes ; fi
if [ -d modules ] ; then rm -r modules ; fi
if [ -d libs    ] ; then rm -r libs    ; fi
mkdir modules
mkdir libs
echo
javac -d classes/meinutilv1 src/meinutilv1/de/meinefirma/meinutil/*.java
jar --create --file=libs/meinutilv1.jar --main-class=de.meinefirma.meinutil.MeinUtil -C classes/meinutilv1 .
javac -d classes/meinutilv2 src/meinutilv2/de/meinefirma/meinutil/*.java src/meinutilv2/de/meinefirma/extrapackage/*.java
jar --create --file=libs/meinutilv2.jar --main-class=de.meinefirma.meinutil.MeinUtil -C classes/meinutilv2 .
javac -cp "libs/*" -d classes/meinv3util src/meinv3util/de/meinefirma/meinutil/*.java
jar --create --file=modules/meinv3util.jar --main-class=de.meinefirma.meinutil.MeinUtil -C classes/meinv3util .
javac -d classes/de.meinefirma.meinv4util src/de.meinefirma.meinv4util/*.java src/de.meinefirma.meinv4util/de/meinefirma/meinutil/*.java
jar --create --file=modules/de.meinefirma.meinv4util.jar --main-class=de.meinefirma.meinutil.MeinUtil -C classes/de.meinefirma.meinv4util .
javac -d classes/de.meinefirma.meinv5util src/de.meinefirma.meinv5util/*.java src/de.meinefirma.meinv5util/de/meinefirma/meinutil/*.java
jar --create --file=modules/de.meinefirma.meinv5util.jar --main-class=de.meinefirma.meinutil.MeinUtil -C classes/de.meinefirma.meinv5util .
javac -p modules -d classes/de.meinefirma.meineapp src/de.meinefirma.meineapp/*.java src/de.meinefirma.meineapp/de/meinefirma/meineapp/*.java
jar --create --file=modules/de.meinefirma.meineapp.jar --main-class=de.meinefirma.meineapp.MeineApp -C classes/de.meinefirma.meineapp .
echo libs:
ls libs
echo modules:
ls modules
echo
java -jar libs/meinutilv2.jar
java -cp "libs/meinutilv1.jar:libs/*:modules/*" de.meinefirma.meinutil.MeinUtil
java -cp "modules/de.meinefirma.meinv4util.jar:modules/*:libs/*" de.meinefirma.meinutil.MeinUtil
java -p modules -m de.meinefirma.meinv5util
java -cp modules/meinv3util.jar:libs/* de.meinefirma.meinutil.MeinUtil
java -cp "libs/*" -p modules -m meinv3util
java -cp "libs/*" -p modules -m de.meinefirma.meineapp
echo
